#include <bits/stdc++.h>
#include "triangles.h"
// #define int long long
// #define all(x) x.begin(), x.end()
// #define rall(x) x.rbegin(), x.rend()
// #define ff first
// #define ss second

using namespace std;

vector <vector <int>> solve(int n) {
    int st = 0;
    bool f = false;
    for (int i = 0; i < n; ++i) {
        vector <Triangle> a;
        vector <Triangle> b;
        vector <int> t;
        for (int j = 0; j < n; ++j) {
            if (j != i) {
                t.push_back(j);
            }
        }
        b = {Triangle(t[0], t[1], t[2])};
        a = {Triangle(t[0], t[1], i), Triangle(t[0], t[2], i), Triangle(t[2], t[1], i)};
        int d = compare(a, b);
        if (d == 0) {
            st = i;
            f = true;
            break;
        }
    }
    if (f) {
        vector <int> t;
        for (int i = 0; i < n; ++i) {
            if (i != st) t.push_back(i);
        }
        return {{st, t[0], t[1]}, {st, t[0], t[2]}, {st, t[1], t[2]}};
    } else {
        return {{0, 1, 2}, {0, 1, 3}};
    }
}

// signed main() {
//     ios_base::sync_with_stdio(0);
//     cin.tie(0);
//     freopen("input.txt", "r", stdin);
//     freopen("output.txt", "w", stdout);
//     int t = 1;
//     while (t--) solve(), cout << '\n';
// }